Skip to main content

Sandbox: Trigger an event for an order

POST 

/orders/:id/actions/trigger_event

Trigger an orders webhook event for the order. This endpoint is only available in the sandbox environment and can be used to test your webhook processing.

Only the updated event can be triggered, because the other order events follow real state changes. An updated event is only possible once an order reached the completed state. The webhook is sent to every sandbox webhook subscription that includes the orders.updated event.

Request​

Responses​

The event was scheduled

Error Codes

HTTP StatusClassCodeDescription
400invalid_requestinvalid_body_parametersInvalid body parameters with details in the fields attribute
400invalid_stateorder_not_completedThe order is not in a completed state, so no update event can be triggered
404not_foundentity_not_foundEntity not found